import type { EditorView } from "@codemirror/view";
import type { Diagnostic } from "@codemirror/lint";
import type { JSONSchema7 } from "json-schema";
import { type JsonError } from "json-schema-library";
import { parseJSONDocumentState } from "./utils/parseJSONDocument";
export type JSONValidationOptions = {
    formatError?: (error: JsonError) => string;
    jsonParser?: typeof parseJSONDocumentState;
};
/**
 * Helper for simpler class instantiaton
 * @group Codemirror Extensions
 */
export declare function jsonSchemaLinter(schema: JSONSchema7, options?: JSONValidationOptions): (view: EditorView) => Diagnostic[];
export declare class JSONValidation {
    private schema;
    private options;
    constructor(schema: JSONSchema7, options?: JSONValidationOptions);
    private get schemaTitle();
    private rewriteError;
    doValidation(view: EditorView): Diagnostic[];
}
