import { JSONHover } from "./json-hover";
import json5 from "json5";
/**
 * Instantiates a JSONHover instance with the JSON5 mode
 * @group Codemirror Extensions
 */
export function json5SchemaHover(schema, options) {
    const hover = new JSONHover(schema, Object.assign(Object.assign({}, options), { parser: json5.parse }));
    return async function jsonDoHover(view, pos, side) {
        return hover.doHover(view, pos, side);
    };
}
