import { JSONValidation } from "./json-validation";
import { parseJSON5DocumentState } from "./utils/parseJSON5Document";
/**
 * Instantiates a JSONValidation instance with the JSON5 mode
 * @group Codemirror Extensions
 */
export function json5SchemaLinter(schema, options) {
    const validation = new JSONValidation(schema, Object.assign({ jsonParser: parseJSON5DocumentState }, options));
    return function json5DoLint(view) {
        return validation.doValidation(view);
    };
}
