import { EditorState, Text } from "@codemirror/state";
import { SyntaxNode } from "@lezer/common";
import { JSONPointersMap, Side } from "../types";
export type JSONMode = "json4" | "json5";
export declare function getJsonPointerAt(docText: Text, node: SyntaxNode): string;
/**
 * retrieve a JSON pointer for a given position in the editor
 * @group Utilities
 */
export declare const jsonPointerForPosition: (state: EditorState, pos: number, side?: Side) => string;
/**
 * retrieve a Map of all the json pointers in a document
 * @group Utilities
 */
export declare const getJsonPointers: (state: EditorState, mode?: JSONMode) => JSONPointersMap;
